PolyStateMachine (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.editable
Class PolyStateMachine

    java.lang.Object
      com.bbn.openmap.util.stateMachine.StateMachine
          com.bbn.openmap.omGraphics.editable.EOMGStateMachine
              com.bbn.openmap.omGraphics.editable.PolyStateMachine

    public class PolyStateMachine

extends EOMGStateMachine

Field Summary
`static int` | `POLY_ADD_NODE`
`static int` | `POLY_ADD_POINT`
`static int` | `POLY_DELETE_NODE`

Fields inherited from class com.bbn.openmap.omGraphics.editable.EOMGStateMachine
`DEFAULT_NUMBER_STATES, graphic, GRAPHIC_EDIT, GRAPHIC_SELECTED, GRAPHIC_SETOFFSET, GRAPHIC_UNDEFINED, GRAPHIC_UNSELECTED, NUMBER_STATES, offsetNeeded`

Fields inherited from class com.bbn.openmap.util.stateMachine.StateMachine
`currentState, resetState, states`

Constructor Summary
`PolyStateMachine(EditableOMPoly p)`

Method Summary
`protected State[]` | `init()`
`void` | `setAddNode()` State where a node is duplicated if you click on it.
`void` | `setAddPoint()` State where points are added to the end of the polyline.
`void` | `setDeleteNode()` State where a node is deleted if you click on it.
`void` | `setSelected()`
`void` | `setUnselected()`

Methods inherited from class com.bbn.openmap.omGraphics.editable.EOMGStateMachine
`isOffsetNeeded, setEdit, setOffset, setOffsetNeeded, setUndefined`

Methods inherited from class com.bbn.openmap.util.stateMachine.StateMachine
`addStates, getResetState, getState, getState, getStates, reset, setMapMouseListenerResponses, setResetState, setResetState, setState, setState, setStateAt, setStates, setStates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POLY_ADD_POINT

    public static final int POLY_ADD_POINT

See Also:
  Constant Field Values

### POLY_ADD_NODE

    public static final int POLY_ADD_NODE

See Also:
  Constant Field Values

### POLY_DELETE_NODE

    public static final int POLY_DELETE_NODE

See Also:
  Constant Field Values

Constructor Detail

### PolyStateMachine

    public PolyStateMachine(EditableOMPoly p)

Method Detail

### init

    protected State[] init()

  Overrides:
    `init` in class `EOMGStateMachine`

### setAddPoint

    public void setAddPoint()

  State where points are added to the end of the polyline.

### setAddNode

    public void setAddNode()

  State where a node is duplicated if you click on it.

### setDeleteNode

    public void setDeleteNode()

  State where a node is deleted if you click on it.

### setSelected

    public void setSelected()

  Overrides:
    `setSelected` in class `EOMGStateMachine`

### setUnselected

    public void setUnselected()

  Overrides:
    `setUnselected` in class `EOMGStateMachine`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details